---
author: "Norbert Tretkowski"
title: "Mit Organic Maps durch Norwegen"
date: "2024-06-29"
cover: "/uploads/2024/dacia.jpg"
tags: ['Android', 'CalyxOS', 'FreeYourAndroid', 'Navigation', 'Norwegen', 'OpenStreetMap', 'Organic Maps', 'OsmAnd']
---
Eigentlich war die Tour mit einem noch relativ neuen vollelektrischen Peugeot e-208 geplant, wir hatten bei der Buchung der Unterkünfte darauf geachtet, dass sich Lademöglichkeiten in der Nähe befinden. Wie aber schon am Cover zu erkennen ist, sind wir stattdessen mit einem zwölf Jahre alten Dacia Sandero Diesel los und ja, in Norwegen liegt im Juni stellenweise noch Schnee. Grund für den Fahrzeugwechsel war ein defekter Scheinwerfer beim e-208, für den Peugeot zweieinhalb Monate lang keinen Ersatz liefern konnte. Der Scheinwerfer wurde erst in die Werkstatt geliefert, als wir bereits unterwegs waren. Dadurch hatten wir dann u.a. auch kein Navigationssystem im Fahrzeug.

Daher haben wir für die Navigation dann [Organic Maps](https://organicmaps.app/de/) aus [F-Droid](https://f-droid.org/) verwendet, zum Start Version 2024.05.11-3-FDroid, während der Tour kamen dann die Updates auf Version 2024.06.02-12-FDroid und 2024.06.19-3-FDroid. Das ganze lief auf einem schon etwas betagten Google Pixel 3 unter [CalyxOS](https://calyxos.org/) 5.7.3 und hat an sich erstaunlich gut funktioniert, an der einen oder anderen Stelle lief es aber nicht ganz so rund.

### Tunnel

Das erste Problem waren Tunnel, von denen es in Norwegen einige gibt. Bei der Einfahrt in einen Tunnel reißt das GPS Signal des Smartphones ab, was bei Organic Maps leider dazu führt, dass die eigene Position an der Stelle der Position des letzten GPS Signals verbleibt und zwar so lange, bis der GPS Empfang wieder vorhanden ist, der Tunnel also verlassen wurde:

![Tunnel](/uploads/2024/Screenshot_20240609-110432.jpg "Organic Maps mit abgerissenem GPS Signal")

Andere Navigationssysteme wie z.B. [OsmAnd](https://osmand.net/) rechnen beim Abriss des GPS Signals während einer aktiven Navigation die Fahrt anhand der letzten bekannten Geschwindigkeit weiter. Das ist dann zwar natürlich nicht 100%ig korrekt, aber immer noch besser als nichts:

![Tunnel3](/uploads/2024/Screenshot_20240616-175450.jpg "OsmAnd mit Hochrechnung im Tunnel")

Zugegeben, das ist selten wirklich ein Problem, es gibt vor allem in größeren Städten wie Oslo oder Ålesund allerdings Tunnel, in denen sich mehrere Kreisverkehre und auch Abfahrten befinden:

![Tunnel2](/uploads/2024/Screenshot_20240622-140001.jpg "Organic Maps mit Abfahrten im Tunnel")

Spätestens beim zweiten Kreisverkehr oder der zweiten Abfahrt wird es dann schwierig, weil die eigene Position laut Organic Maps bei der Einfahrt in den Tunnel verharrt und auf dieser Ansicht nur die Abfahrt des nächsten kommenden Kreisverkehrs angezeigt wird.

### Ankunfszeit

Die errechneten Ankunfszeiten waren teilweise nicht nachvollziehbar. Grundsätzlich ist man in Norwegen aufgrund der i.d.R. erlaubten maximalen Geschwindigkeit von 80 km/h, der vielen Berge und Fährüberfahrten zwar länger unterwegs als man es aus Deutschland gewohnt ist, aber dennoch sind keine knapp vier Stunden für 155 km nötig, vor allem weil wir bei der Strecke keine Fähre nutzen mussten:

![Ankunfszeit](/uploads/2024/Screenshot_20240611-105435.jpg "Organic Maps mit viel zu später Ankunfszeit")

Hier hat OsmAnd eine deutlich realistischere Ankunfszeit errechnet.

### Zoom

Ab und zu schien das Smartphone für eine kurze Zeit von einem falschen Standort auszugehen. Das führte dazu, dass die eigene Position in der Anzeige der Karte an die falsche Position "flog", was sich aber nach wenigen Sekunden wieder zurecht geruckelt hat. Ich will nicht ausschließen, dass es sich dabei um ein Problem am Smartphone handelte, leider verblieb Organic Maps dann aber in einer deutlich herausgezoomten Ansicht und hat nicht wieder automatisch in die Karte hinein gezoomt:

![Zoom](/uploads/2024/Screenshot_20240609-132908.jpg "Organic Maps mit herausgezoomter Ansicht")

Korrigieren ließ sich das nur durch manuelles Zoomen, kurz danach passte sich die Ansicht dann auch wieder automatisch an.

### Fähren

Bei der Nutzung von Fähren gab es keine Probleme, solange die Fähren regelmäßig fuhren. Es gibt aber eine Fähre von Torvik nach Ålesund, die Teil der Hurtigruten ist und nur einmal täglich um 8:30 fährt. Diese wurde auch nach 12 Uhr noch mit in die Planung der Route einbezogen:

![Faehre1](/uploads/2024/Screenshot_20240620-121535.jpg "Organic Maps Routing ohne Zwischenziel")

Workaround war dann ein eingefügtes Zwischenziel in Hareid, von wo aus je nach Wochentag und Uhrzeit alle 20-60 Minuten eine Fähre nach Sulesund geht:

![Faehre2](/uploads/2024/Screenshot_20240620-121641.jpg "Organic Maps Routing mit Zwischenziel")

OsmAnd hat die Fähre von Torvik nach Ålesund übrigens korrekterweise auch ohne Zwischenziel nicht mit in die Navigation einbezogen:

![Faehre3](/uploads/2024/Screenshot_20240620-121718.jpg "OsmAnd Routing ohne Zwischenziel")

Was ich auch vermisst habe ist eine Anzeige, dass demnächst eine Fähre genommen werden muss:

![Faehre4](/uploads/2024/Screenshot_20240625-181013.jpg "Organic Maps Anzeige ohne Fähre")

Die Anzeige links oben hat als nächsten vakanten Punkt einen Kreisverkehr angezeigt, wie zu sehen ist mussten wir vorher aber mit der Fähre übersetzen.

### Geschwindigkeitswarnung

Organic Maps warnt, wenn die erlaubte Geschwindigkeit überschritten wird. Das aber nicht immer, sondern nur dann, wenn sich in unmittelbarer Nähe ein Blitzer befindet. In den Einstellungen scheint es keine Möglichkeit zu geben, diese Warnung generell zu aktivieren.

OsmAnd kann auch ohne dass sich ein Blitzer in der Nähe befindet bei Überschreitung der erlaubten Geschwindigkeit warnen und auch dauerhaft die erlaubte Geschwindigkeit anzeigen:

![Geschwindigkeitsüberschreitung](/uploads/2024/Screenshot_20240622-114654.jpg "OsmAnd Warnung bei Überschreitung der erlaubten Geschwindigkeit")

Leider gibt bei Organic Maps keine Möglichkeit, sich die erlaubte Geschwindigkeit dauerhaft in der Karte anzeigen zu lassen.

### Stauerkennung

Da Organic Maps keine Daten sammelt und auswertet, gibt es folglich auch keine Stauerkennung. Das war in Norwegen nie ein Problem, da wir dort keine Staus hatten, bei der eine Stauerkennung geholfen hätte, aber auf dem Heimweg durch Dänemark:

![Stauerkennung](/uploads/2024/Screenshot_20240627-161817.jpg "Organic Maps Anzeige im Stau bei 0 km/h")

Google kann natürlich sowohl mit den Android Geräten auf der Straße, den iOS Geräten auf denen Google Maps läuft und natürlich auch mit den Fahrzeugen auf denen Android Automotive läuft die Bewegungen der Geräte analysieren und auswerten und dadurch erkennen, wann und wo ein Stau entsteht und dann rechtzeitig eine Umfahrung vorschlagen, auch wenn in der Vergangenheit bereits gezeigt wurde, dass sich das System [sehr einfach manipulieren lässt](https://simonweckert.com/googlemapshacks.html).

### Sprachausgabe

Die Sprachausgabe mit eSpeak hat gar nicht funktioniert, das schien aber ein generelles Problem mit eSpeak zu sein, weil auch mit OsmAnd bei Verwendung von eSpeak keine Sprachausgabe erfolgte. Mit RHVoice klappte die Sprachausgabe dann problemlos, allerdings nur in Englisch.

Empfehlung: Die Ausgabe der Straßennamen deaktivieren.

### Sonstiges

Was sonst noch aufgefallen ist sind [fehlende Benachrichtigungen](https://github.com/organicmaps/organicmaps/issues/2001) beim Download von Karten. Das ist insofern nervig, weil Downloads im Hintergrund dadurch nicht möglich sind, die App von Android also trotz aktivem Download schlafen gelegt wird.

### Fazit

Unterm Strich kommt man mit Organic Maps gut am Ziel an, gerade bei der Nutzung von Fähren lohnt sich aber ein genauerer Blick auf die vorgeschlagene Route.

Kommentare gerne im [Fediverse](https://gruene.social/@norbert/112705911629267031).
